<html devsite><head>
    <title>Nexus 安全性公告 - 2015 年 11 月</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p><em>發佈日期：2015 年 11 月 2 日</em></p>

<p>Google 已根據 Android 安全性公佈欄每月發佈程序，透過 OTA 更新機制發佈了 Nexus 裝置的安全性更新。此外，Nexus 韌體映像檔也已經發佈到 <a href="https://developers.google.com/android/nexus/images">Google Developers 網站</a>上。LMY48X 以上版本以及 Android Marshmallow 在 2015 年 11 月 1 日或之後推出的安全性修補程式等級針對下列問題提供了解決之道。詳情請參閱<a href="#common_questions_and_answers">常見問題與解答</a>一節。</p>

<p>合作夥伴是在 2015 年 10 月 5 日或之前收到有關這些問題的通知。這些問題的原始碼修補程式會在接下來的 48 小時內發佈到 Android 開放原始碼計劃 (AOSP) 存放區，等到相關 Android 開放原始碼計劃連結建立完成後，我們就會修訂這則公告。</p>

<p>在這些問題中，最嚴重的就是「最高」等級的安全性漏洞。當系統執行媒體檔案時，遠端程式碼可利用這類漏洞，透過電子郵件、網頁瀏覽活動和多媒體訊息等方法，自動在受影響的裝置上執行。<a href="/security/overview/updates-resources.html#severity">嚴重程度評定標準</a>是假設平台與服務的因應防護措施基於開發作業的需求而被停用，或是遭到有心人士破解，然後推算當有人惡意運用漏洞時，裝置會受到多大的影響，據此評定漏洞的嚴重程度。</p>

<p>針對這些新發現的漏洞，我們目前尚未收到任何客戶回報相關的漏洞濫用案例。如果您想進一步瞭解 <a href="#mitigations">Android 安全性平台防護措施</a>和服務防護措施 (例如 SafetyNet) 如何加強 Android 平台的安全性，請參閱<a href="/security/enhancements/index.html">因應措施</a>一節。我們建議所有客戶接受這些裝置更新。</p>

<h2 id="mitigations">因應措施</h2>

<p>本節概述 <a href="/security/enhancements/index.html">Android 安全性平台</a>和 SafetyNet 等服務防護方案所提供的因應措施。這些措施可有效防範有心人士在 Android 系統上惡意運用安全性漏洞來達到特定目的。</p>

<ul>
  <li>Android 平台持續推出新的版本來強化安全性，因此有心人士越來越難在 Android 系統上找出漏洞加以利用。我們建議所有使用者盡可能更新至最新版的 Android。
  </li><li>Android 安全性小組採用「驗證應用程式」和 SafetyNet 主動監控濫用情形，這些功能果發現應用程式可能有害，將在安裝作業前發出警告。Google Play 禁止發佈任何可用於獲取裝置 Root 權限的工具。為了保護不是在 Google Play 安裝應用程式的使用者，「驗證應用程式」在預設狀態下會自動啟用並向使用者發出警告，提醒他們留意目前已知的破解程式 (用於取得 Root 權限的應用程式)。「驗證應用程式」會盡可能找出已知會利用權限升級漏洞的惡意應用程式，並封鎖這類應用程式的安裝程序。如果使用者已安裝這類應用程式，「驗證應用程式」會通知使用者，並嘗試移除該應用程式。
  </li><li>在適用情況下，Google Hangouts 和 Messenger 應用程式不會自動將媒體內容傳送給媒體伺服器這類的處理程序。
</li></ul>

<h2 id="acknowledgements">特別銘謝</h2>

<p>感謝以下研究人員做出的貢獻：</p>

<ul>
  <li>Google Chrome 安全性小組成員 Abhishek Arya、Oliver Chang 和 Martin Barbella：CVE-2015-6608
  </li><li>Copperhead Security 的 Daniel Micay (daniel.micay@copperhead.co)：CVE-2015-6609
  </li><li>韓國科學技術學院系統安全性實驗室的 Dongkwan Kim (dkay@kaist.ac.kr)：CVE-2015-6614
  </li><li>韓國科學技術學院系統安全性實驗室的 Hongil Kim (hongilk@kaist.ac.kr)：CVE-2015-6614
  </li><li>趨勢科技的 Jack Tang (@jacktang310)：CVE-2015-6611
  </li><li>趨勢科技的 Peter Pi：CVE-2015-6611
  </li><li>Google Project Zero 成員 Natalie Silvanovich：CVE-2015-6608
  </li><li>碁震安全研究團隊 (@K33nTeam，http://k33nteam.org/) 的 Qidan He (@flanker_hqd) 和 Wen Xu (@antlr7)：CVE-2015-6612
  </li><li><a href="https://twitter.com/oldfresher">奇虎 360 科技有限公司</a>的 Guang Gong (龔廣) (<a href="http://www.360.cn">@oldfresher、higongguang@gmail.com)：</a>CVE-2015-6612
  </li><li>趨勢科技的 Seven Shen：CVE-2015-6610
</li></ul>

<h2 id="security_vulnerability_details">安全性漏洞詳情</h2>

<p>下列各節針對 2015-11-01 安全性修補程式等級適用的各項安全性漏洞提供了詳細資訊，另外也附上了問題說明、嚴重程度評定原因和一份 CVE 資訊表，其中包括了相關錯誤、嚴重程度、受影響版本和回報日期。假如相關錯誤有 Android 開放原始碼計劃變更，該錯誤 ID 會連結到相對應的變更參考資料。如果單一錯誤有多項相關變更，您可以透過該錯誤 ID 後面的編號連結開啟額外的 Android 開放原始碼計劃參考資料。</p>

<h3 id="remote_code_execution_vulnerabilities_in_mediaserver">媒體伺服器中的遠端程式碼執行漏洞</h3>

<p>在處理某些特殊的媒體檔案及資料時，攻擊者可能會利用媒體伺服器中的漏洞造成記憶體出錯，並執行遠端程式碼當做媒體伺服器處理程序。</p>

<p>受影響的功能是作業系統的核心部分，而多個應用程式都允許遠端內容連到這項功能，其中最常見的內容是多媒體訊息和瀏覽器中播放的媒體。</p>

<p>由於這個問題可能會讓遠端程式碼在媒體伺服器服務環境內執行，因此嚴重程度被評定為「最高」。媒體伺服器服務能夠存取音訊和視訊串流，以及第三方應用程式一般無法存取的權限。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
    <th>回報日期</th>
 </tr>
 <tr>
    <td rowspan="6">CVE-2015-6608</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/8ec845c8fe0f03bc57c901bc484541bdd6a7cf80">ANDROID-19779574</a></td>
    <td rowspan="3">最高</td>
    <td rowspan="3">5.0、5.1、6.0</td>
    <td rowspan="3">Google 內部資訊</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/c6a2815eadfce62702d58b3fa3887f24c49e1864">ANDROID-23680780</a></td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Faac/+/b3c5a4bb8442ab3158fa1f52b790fadc64546f46">ANDROID-23876444</a></td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Ftremolo/+/3830d0b585ada64ee75dea6da267505b19c622fd">ANDROID-23881715</a></td>
    <td>最高</td>
    <td>4.4、5.0、5.1、6.0</td>
    <td>Google 內部資訊</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/3878b990f7d53eae7c2cf9246b6ef2db5a049872">ANDROID-14388161</a></td>
    <td>最高</td>
    <td>4.4 和 5.1</td>
    <td>Google 內部資訊</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/f3eb82683a80341f5ac23057aab733a57963cab2">ANDROID-23658148</a></td>
    <td>最高</td>
    <td>5.0、5.1、6.0</td>
    <td>Google 內部資訊</td>
 </tr>
</tbody></table>

<h3 id="remote_code_execution_vulnerability_in_libutils">libutils 中的遠端程式碼執行漏洞</h3>

<p>libutils (通用程式庫) 中的漏洞可能會在音訊檔案處理期間遭到惡意運用。攻擊者會利用這項漏洞，在特製檔案處理期間造成記憶體損毀並執行遠端程式碼。</p>

<p>受影響的功能是以 API 形式提供使用，而多款應用程式都允許遠端內容連到這項功能，其中最常見的內容是多媒體訊息和瀏覽器中播放的媒體。由於這個問題可能會讓遠端程式碼在高階權限服務中執行，因此嚴重程度被評定為「最高」。這項受影響的元件能夠存取音訊和視訊串流，以及第三方應用程式一般無法存取的權限。</p>

<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
    <th>回報日期</th>
 </tr>
 <tr>
    <td>CVE-2015-6609</td>
    <td><a href="https://android.googlesource.com/platform%2Fbootable%2Frecovery/+/ec63d564a86ad5b30f75aa307b4bd271f6a96a56">ANDROID-22953624</a>
[<a href="https://android.googlesource.com/platform%2Fsystem%2Fcore/+/419e6c3c68413bd6dbb6872340b2ae0d69a0fd60">2</a>]</td>
    <td>最高</td>
    <td>6.0 以下版本</td>
    <td>2015 年 8 月 3 日</td>
 </tr>
</tbody></table>

<h3 id="information_disclosure_vulnerabilities_in_mediaserver">媒體伺服器中的資訊外洩漏洞</h3>

<p>媒體伺服器中有一些資訊外洩漏洞。有心人士可利用這些漏洞，規避系統中用來防範攻擊者惡意運用平台的安全措施。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
    <th>回報日期</th>
 </tr>
 <tr>
    <td rowspan="12">CVE-2015-6611</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/1c7719820359f4190cd4bfd1a24d521face7b4f8">ANDROID-23905951</a>
[<a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/3b76870d146b1350db8a2f7797e06897c8c92dc2">2</a>]
[<a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/40715a2ee896edd2df4023d9f6f586977887d34c">3</a>]</td>
    <td rowspan="3">高</td>
    <td rowspan="3">6.0 以下版本</td>
    <td rowspan="3">2015 年 9 月 7 日</td>
 </tr>
 <tr>
    <td>ANDROID-23912202*</td>
 </tr>
 <tr>
    <td>ANDROID-23953967*</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fnative/+/b414255f53b560a06e642251535b019327ba0d7b">ANDROID-23696300</a></td>
    <td>高</td>
    <td>6.0 以下版本</td>
    <td>2015 年 8 月 31 日</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/09ed70fab1f1424971ccc105dcdf5be5ce2e2643">ANDROID-23600291</a></td>
    <td>高</td>
    <td>6.0 以下版本</td>
    <td>2015 年 8 月 26 日</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/892354335d49f0b9fcd10e20e0c13e3cd0f1f1cb">ANDROID-23756261</a>
[<a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/a946d844a77906072f5eb7093d41db465d6514bb">2</a>]</td>
    <td>高</td>
    <td>6.0 以下版本</td>
    <td>2015 年 8 月 26 日</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/57bed83a539535bb64a33722fb67231119cb0618">ANDROID-23540907</a> [<a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/25a634427dec455b79d73562131985ae85b98c43">2</a>]</td>
    <td>高</td>
    <td>5.1 以下版本</td>
    <td>2015 年 8 月 25 日</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/d53aced041b7214a92b1f2fd5970d895bb9934e5">ANDROID-23541506</a></td>
    <td rowspan="4">高</td>
    <td rowspan="4">6.0 以下版本</td>
    <td rowspan="4">2015 年 8 月 25 日</td>
 </tr>
 <tr>
    <td>ANDROID-23284974*</td>
 </tr>
 <tr>
    <td>ANDROID-23542351*</td>
 </tr>
 <tr>
    <td>ANDROID-23542352*</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/0981df6e3db106bfb7a56a2b668c012fcc34dd2c">ANDROID-23515142</a></td>
    <td>高</td>
    <td>5.1 以下版本</td>
    <td>2015 年 8 月 19 日</td>
 </tr>
</tbody></table>
<p>* 這項錯誤的修補程式已附在本文提供的其他 Android 開放原始碼計劃連結中。</p>

<h3 id="elevation_of_privilege_vulnerability_in_libstagefright">libstagefright 中的權限升級漏洞</h3>

<p>libstagefright 中有一項權限升級漏洞，本機惡意應用程式可利用這項漏洞造成記憶體出錯，並在媒體伺服器服務環境內執行任何程式碼。儘管這個問題的嚴重程度通常會被評定為「最高」，但由於我們認為這個問題較不可能透過遠端加以利用，因此將嚴重程度評定為「高」。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
    <th>回報日期</th>
 </tr>
 <tr>
    <td>CVE-2015-6610</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/d26052738f7b095b7e318c8dde7f32db0a48450c">ANDROID-23707088</a>
[<a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/820c105f7a4dc0971ee563caea4c9b346854a2f7">2</a>]</td>
    <td>高</td>
    <td>6.0 以下版本</td>
    <td>2015 年 8 月 19 日</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_libmedia">libmedia 中的權限升級漏洞</h3>

<p>libmedia 中的一項漏洞可讓本機惡意應用程式在媒體伺服器環境內執行任何程式碼。由於這個問題可被利用來存取第三方應用程式無法直接存取的權限，因此嚴重程度被評定為「高」。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
    <th>回報日期</th>
 </tr>
 <tr>
    <td>CVE-2015-6612</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/4b219e9e5ab237eec9931497cf10db4d78982d84">ANDROID-23540426</a></td>
    <td>高</td>
    <td>6.0 以下版本</td>
    <td>2015 年 8 月 23 日</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_bluetooth">藍牙功能的權限升級漏洞</h3>

<p>藍牙中有一項漏洞，本機應用程式可利用這項漏洞，傳送指令到裝置上的監聽偵錯通訊埠。由於這個問題可用於取得進階功能 (例如 <a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">Signature</a> 或 <a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">SignatureOrSystem</a> 等第三方應用程式無法存取的權限)，因此嚴重程度被評定為「高」。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
    <th>回報日期</th>
 </tr>
 <tr>
    <td>CVE-2015-6613</td>
    <td><a href="https://android.googlesource.com/platform%2Fsystem%2Fbt/+/74dad51510f7d7b05c6617ef88168bf0bbdf3fcd">ANDROID-24371736</a></td>
    <td>高</td>
    <td>6.0</td>
    <td>Google 內部資訊</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_telephony">
電話通訊系統中的權限升級漏洞</h3>

<p>本機惡意應用程式可利用電話通訊系統元件中的權限升級漏洞，將未經授權的資料傳送到聯播網介面，這可能會影響資料收費。此外，這個問題也會讓裝置無法接收通話，以及允許攻擊者控制通話的靜音設定。由於這個問題可被用於不當取得「<a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">危險的</a>」權限，因此嚴重程度被評定為「中」。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
    <th>回報日期</th>
 </tr>
 <tr>
    <td>CVE-2015-6614</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fopt%2Ftelephony/+/70dd1f77873913635288e513564a6c93ae4d0a26">ANDROID-21900139</a>
[<a href="https://android.googlesource.com/platform%2Fframeworks%2Fbase/+/a12044215b1148826ea9a88d5d1102378b13922f">2</a>]
[<a href="https://android.googlesource.com/platform%2Fframeworks%2Fbase/+/2b6af396ad14def9a967f62cccc87ee715823bb1">3</a>]</td>
    <td>中</td>
    <td>5.0、5.1</td>
    <td>2015 年 6 月 8 日</td>
 </tr>
</tbody></table>

<h3 id="common_questions_and_answers">常見問題與解答</h3>

<p>如果您在閱讀這篇公告後有任何疑問，建議您查看本節的常見問題。</p>

<p><strong>1. 如何判斷我目前的裝置軟體版本是否已修正這些問題？</strong></p>

<p>LMY48X 以上版本，以及 Android Marshmallow 在 2015 年 11 月 1 日或之後推出的安全性修補程式等級針對下列問題提供了解決之道。請參閱 <a href="https://support.google.com/nexus/answer/4457705">Nexus 說明文件</a>，瞭解如何查看安全性修補程式等級。提供這些更新的裝置製造商應將修補程式字串等級設定為：[ro.build.version.security_patch]:[2015-11-01]</p>

<h2 id="revisions">修訂版本</h2>

<ul>
  <li>2015 年 11 月 2 日：原始發佈日期
</li></ul>

</body></html>